PayPal Standalone Versionsnummer Wirrwarr...?

Hallo :slight_smile:

kann mir jemand das Versionnummer Wirrwarr bei der PayPal Standalone Version plausibel erklären?

3.2.1 für CE 4.9.x, 4.6.x, 4.5.x, 4.4.x
3.1.2 für CE 4.8.x
3.0.3 für CE 4.7.x

http://exchange.oxid-esales.com/de/OXID/OXID-eFire-Extensions/OXID-eFire-Extension-PayPal-3-2-1-for-PHP-5-2-5-3-Stable-CE-4-4-x-4-9-x.html#versionTab

Gibt es irgendwo eine changelog Datei? Changelog gefunden, aber ist mir zu kryptisch, was bedeuten diese Abkürzungen z.B. “PSPAYPALEX-128”?

Viele Grüße
indianer3c

Glaube damit sind nur Code Konventionen gemeint und zwar

http://www.php-fig.org/psr/psr-1/
http://www.php-fig.org/psr/psr-2/

Total nervig wegen Code Konventionen ein Modul updaten zu müssen - gerade in einem alten 4.4.x Shop. Wo im copy_this Verzeichnis noch nicht die Dateien liegen die erst automatisch kopiert werden wenn man den Button betätigt :mad:

[QUOTE=indianer3c;153117]
kann mir jemand das Versionnummer Wirrwarr bei der PayPal Standalone Version plausibel erklären?

3.2.1 für CE 4.9.x, 4.6.x, 4.5.x, 4.4.x
3.1.2 für CE 4.8.x
3.0.3 für CE 4.7.x
[/QUOTE]

Ist doch einfach:

Es gibt 3 “normale” Versionen:
3.2.1 für 4.9.x
3.1.2 für 4.8.x
3.0.3 für 4.7.x

Dann gibt es diesen Backport-Adapter für die Version 4.4.x-4.6.x und dort ist im Moment die Version 3.2.1 reingepackt, also stehen auch dort diese Versionsnummern.

Hallo :slight_smile:

danke für die Antwort.

Was ich genau mit “Versionnummer Wirrwarr” meine ist, dass ich nicht nachvollziehen kann warum nicht für alle OXID Shop Versionen das PayPal Standalone Module nicht die gleiche Versionsnummer verfügbar ist.

Dies wirkt auf mich so, als ob dann für 4.8.x und 4.7.x bestimmte Features des Moduls nicht verfügbar sind. Liege ich dort richtig?

Viele Grüße
indianer3c